import { jsx } from "react/jsx-runtime";
import { Hourglass as Hourglass$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Hourglass = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Hourglass", ...props, children: /* @__PURE__ */ jsx(Hourglass$1, { weight: variant }) });
  }
);
Hourglass.displayName = "Hourglass";
Object.assign(Hourglass, { isGdsIcon: true });
export {
  Hourglass
};
